%define upstream_name    GD
%define upstream_version 2.56
%define __noautoprov 'GD.so'

Summary:	A perl5 interface to Thomas Boutell's gd library

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	1
License:	Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/L/LD/LDS/%{upstream_name}-%{upstream_version}.tar.gz

Patch0:         GD-2.56-utf8.patch

BuildRequires:  gd-devel >= 2.0.28
BuildRequires:  perl-devel
BuildRequires:  perl(base)
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(xpm)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(ExtUtils::CBuilder)
BuildRequires:  perl(AutoLoader)
BuildRequires:  perl(Carp)
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(FileHandle)
BuildRequires:  perl(Math::Trig)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(constant)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(IO::Dir)
BuildRequires:  perl(Test)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(warnings)
BuildRequires:  perl(GD::Image)

### only when will become contrib.Symbianflo
#BuildRequires:  perl(CPAN::Meta::YAML) > 0.016

%description
GD.pm is a autoloadable interface module for libgd, a popular library
for creating and manipulating PNG files.  With this library you can
create PNG images on the fly or modify existing files.  Features
include:

a.  lines, polygons, rectangles and arcs, both filled and unfilled
b.  flood fills
c.  the use of arbitrary images as brushes and as tiled fill patterns
d.  line styling (dashed lines and the like)
e.  horizontal and vertical text rendering
f.  support for transparency and interlacing

%prep
%setup -qn %{upstream_name}-%{upstream_version}
chmod 644 ChangeLog t/GD.t
%patch0 -p0


# Remove Local from path
perl -pi -e 's|/usr/local/bin/perl\b|%{__perl}|' \
      demos/{*.{pl,cgi},truetype_test}
# fix linting 
chmod -x demos/{*.{pl,cgi},truetype_test,fonttest}

# lib64 fixes, don't add /usr/lib/X11 to linker search path
perl -pi \
    -e "s|-L/usr/lib/X11||g;" \
    -e "s|-L/usr/X11/lib||g;" \
    -e "s|-L/usr/lib||g" \
    Makefile.PL

%build
%{__perl} Build.PL
./Build

%check
#https://rt.cpan.org/Public/Bug/Display.html?id=100294
perl -pi -e "s|7|0|" t/GD.t
perl -pi -e "s|11|4|" t/GD.t

./Build test

%install
./Build install --destdir=%{buildroot} --installdirs=vendor --create_packlist=0
find %{buildroot} -type f -name '*.bs' -empty -exec rm -f {} ';'

# These files should not have been installed
rm %{buildroot}%{_bindir}/bdf2gdfont.PLS \
   %{buildroot}%{_bindir}/README \
   %{buildroot}%{_mandir}/man1/bdf2gdfont.PLS.1*

# This binary is in gd-utils
rm %{buildroot}%{_bindir}/bdftogd

%files
%doc ChangeLog README README.QUICKDRAW README demos
%{perl_vendorarch}/GD*
%{perl_vendorarch}/auto/GD*
%{_bindir}/bdf2gdfont.pl
%{_bindir}/cvtbdf.pl
%{_mandir}/man1/*
%{_mandir}/man3/*
%changelog

* Mon Jun 29 2015 abfonly <abfonly@gmail.com> 2.560.0-1
- (39cc6f4) Merge pull request #9 from perl_modules/perl-GD:rosa2014.1
- (39cc6f4) abfonly


